fribidi_shape_mirroring(3)

NAME
fribidi_shape_mirroring - do mirroring shaping

SYNOPSIS
#include <../fribidi/lib/fribidi.h>

void fribidi_shape_mirroring
(
    const FriBidiLevel *embedding_levels,
    const FriBidiStrIndex len,
    FriBidiChar *str
);

PARAMETERS

const FriBidiLevel *embedding_levels
    Input list of embedding levels, as returned by fribidi_get_par_embedding_levels.

const FriBidiStrIndex len
    Input string length.

FriBidiChar *str
    String to shape.

DESCRIPTION
This functions replaces mirroring characters on right-to-left embeddings in string with their mirrored equivalent as returned by fribidi_get_mirror_char(). This function implements rule L4 of the Unicode Bidirectional Algorithm available at http://www.unicode.org/reports/tr9/#L4.

SEE ALSO
fribidi_shape_arabic(3), fribidi_get_par_direction(3), fribidi_get_par_embedding_levels_ex(3), fribidi_reorder_line(3), fribidi_get_bidi_type(3), fribidi_get_bidi_types(3), fribidi_get_bidi_type_name(3), fribidi_charset_to_unicode(3), fribidi_unicode_to_charset(3), fribidi_parse_charset(3), fribidi_debug_status(3), fribidi_set_debug(3), fribidi_mirroring_status(3), fribidi_set_mirroring(3), fribidi_reorder_nsm_status(3), fribidi_set_reorder_nsm(3), fribidi_log2vis_get_embedding_levels(3), fribidi_get_type(3), fribidi_get_type_internal(3), fribidi_get_par_embedding_levels(3), fribidi_join_arabic(3), fribidi_get_joining_type(3), fribidi_get_joining_types(3), fribidi_get_joining_type_name(3), fribidi_get_mirror_char(3), fribidi_get_bracket(3), fribidi_get_bracket_types(3), fribidi_shape(3), fribidi_remove_bidi_marks(3), fribidi_log2vis(3)